##
## test_interfaces.py
## Login : <uli@pu.smp.net>
## Started on  Tue Jan 25 17:09:46 2011 Uli Fouquet
## $Id$
## 
## Copyright (C) 2011 Uli Fouquet
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Test components defined in interface module.
"""
import unittest
from zope.interface.verify import verifyClass, verifyObject
from waeup.sirp.applicants import interfaces
from waeup.sirp.applicants.interfaces import (
    APPLICATION_CATEGORIES, application_categories_vocab,
    )

class ApplicationCategoriesTestCase(unittest.TestCase):

    def setUp(self):
        self.vocab = application_categories_vocab
        return
    
    def test_vocabulary_len(self):
        self.assertEqual(len(self.vocab), 5)
        return

    def test_vocabulary_items(self):
        self.assertTrue('pde' in self.vocab)
        return

    def test_term_attributes(self):
        # Check that each vocab entry provided value, token, and title.
        term = self.vocab.getTermByToken('pde')
        self.assertEqual(term.token, 'pde')
        self.assertEqual(term.value, 'pde')
        self.assertEqual(term.title, 'Direct Entry Screening Exam (PDE)')
        return

def suite():
    suite = unittest.TestSuite()
    for testcase in [
            ApplicationCategoriesTestCase,
            ]:
        suite.addTests(unittest.TestLoader().loadTestsFromTestCase(testcase))
    return suite

test_suite = suite


